PHPCPD(1)

NAME
phpcpd - PHPCPD command line interface

SYNOPSIS
phpcpd [options] <directory>

DESCRIPTION
Copy and paste detector (CPD) for PHP code. This tool provides details about duplicated lines inside a PHP project.

Options for selecting files:

--suffix <suffix> Include files with names ending in <suffix> in the analysis
    (default: .php; can be given multiple times)

--exclude <path>
    Exclude files with <path> in their path from the analysis (can be given multiple times)

Options for analysing files:

--fuzzy
    Fuzz variable names

--min-lines <N>
    Minimum number of identical lines (default: 5)

--min-tokens <N>
    Minimum number of identical tokens (default: 70)

Options for report generation:

--log-pmd <file>
    Write log in PMD-CPD XML format to <file>